Bug 1000360 (CVE-2013-2895) - CVE-2013-2895 Kernel: HID: logitech-dj: heap overflow flaw
Summary: CVE-2013-2895 Kernel: HID: logitech-dj: heap overflow flaw
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-2895
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20130829,repor...
Depends On: 1000363 1000365 1000366 1002581
Blocks: 1000333
TreeView+ depends on / blocked
 
Reported: 2013-08-23 09:34 UTC by Prasad J Pandit
Modified: 2019-06-08 19:41 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-10 08:40:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1490 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2013-10-31 20:23:39 UTC

Description Prasad J Pandit 2013-08-23 09:34:19 UTC
Linux kernel built with the Human Interface Device(CONFIG_HID) support along
with the Logitech Unifying receivers(CONFIG_HID_LOGITECH_DJ) driver is
vulnerable to a heap overflow flaw. It could occur when the HID device sends
malicious output report to the kernel driver.

A local user with physical access to the system could use this flaw to crash
the kernel resulting in DoS or potential privilege escalation to gain root
acess via arbitrary code execution.

Comment 1 Prasad J Pandit 2013-08-23 09:36:56 UTC
Statement:

This issue does not affect the versions of Linux kernel as shipped with Red Hat Enterprise Linux 5 and Red Hat Enterprise Linux 6.

This issue affects the version of the kernel package as shipped with Red Hat Enterprise MRG 2. Future kernel updates for Red Hat Enterprise MRG 2 may address this issue.

Note: user would need physical access to the system to exploit this issue.

Comment 5 Prasad J Pandit 2013-08-29 13:27:49 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1002581]

Comment 8 Fedora Update System 2013-09-13 01:04:09 UTC
kernel-3.10.11-200.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-09-16 00:26:02 UTC
kernel-3.10.11-100.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 John Kacur 2013-09-30 20:39:34 UTC
commit 297502abb32e225fb23801fcdb0e4f6f8e17099a upstream

Comment 11 errata-xmlrpc 2013-10-31 16:24:25 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:1490 https://rhn.redhat.com/errata/RHSA-2013-1490.html


Note You need to log in before you can comment on or make changes to this bug.